Page MenuHomePhabricator

Portals deployment failed
Closed, ResolvedPublic

Description

Today, I attempted to SWAT a portals update. It resulted in no code being pushed (scap claims it did the push, appservers still have old files). I tried touching both the portals directory and everything in it to no effect. Something related to sync-dir -> sync-file migration?

<RainbowSprinkles> That code has been live for like a month now, so doubt it

Amir1> Several days ago when I wanted to deploy Wikidata extension, sync-dir didn't do anything when I tried to syn-dir the whole extension (there were lots of files touched). but when I did sync-dir and sync-file on smaller directories it worked

Event Timeline

MaxSem created this task.Mar 30 2017, 6:59 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 30 2017, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as High priority.Mar 30 2017, 7:46 PM
debt added a project: Discovery-Portal-Sprint.
debt added subscribers: Jdrewniak, debt.
MaxSem added a subscriber: demon.Apr 5 2017, 11:54 PM

@demon fixed this:

<RainbowSprinkles> I think we solved the portal sync issue yesterday. Issue in scap that had crept in (and why not everyone could replicate or why it didn't break every time)
<RainbowSprinkles> Should go out in a bugfix release Real Soon Now
<RainbowSprinkles> tldr: if you ran sync-file on a directory while not at /srv/mediawiki-staging/ (so outside of it, further down the tree), the rsync paths ended up broken
<RainbowSprinkles> The directory you run sync-portals in is further down the tree, so that's why the script was breaking but manual syncs usually worked

That refers to D615.

debt moved this task from Backlog to Done on the Discovery-Portal-Sprint board.EditedApr 6 2017, 2:23 PM

Hopefully we'll be able to get out the stats/translations update and the other bug fixes soon, yay! Thanks again, @demon !

Stay tuned to T127762#3158160 for the release of the .deb package.

debt closed this task as Resolved.Apr 13 2017, 9:32 PM
debt claimed this task.

This was deployed in production on April 11, 2017